> ## Documentation Index
> Fetch the complete documentation index at: https://dev.moonpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer by externalId

> Returns very basic information about a customer based on their external customer ID. For you to be able to retrieve a customer, they must have at least one session initiated with your `API-Key`. Please note that this endpoint returns an array of objects because we cannot ensure the uniqueness of the external customer ID.



## OpenAPI

````yaml GET /v1/customers/ext/{customerId}
openapi: 3.0.0
info:
  title: Server to server API
  version: 1.0.0
servers:
  - url: https://api.moonpay.com
security: []
tags:
  - name: Buy transactions
  - name: Customers
  - name: Sell transactions
paths:
  /v1/customers/ext/{customerId}:
    get:
      tags:
        - Customers
      summary: Get customer by external ID
      description: >-
        Returns very basic information about a customer based on their external
        customer ID. For you to be able to retrieve a customer, they must have
        at least one session initiated with your `API-Key`. Please note that
        this endpoint returns an array of objects because we cannot ensure the
        uniqueness of the external customer ID.
      parameters:
        - name: customerId
          in: path
          schema:
            type: string
          example: '123'
          description: A valid external customer ID.
          required: true
      responses:
        '200':
          description: >-
            Successful response — an array of customer objects matching the
            external customer ID.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Customer'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: A descriptive error message.
                  type:
                    type: string
                    description: An error type.
      security:
        - apiKey: []
components:
  schemas:
    Customer:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the customer.
          example: 2fcbcea3-6b62-49f1-b9d1-026d9bfd00b6
        createdAt:
          type: string
          description: >-
            Time at which the object was created. Returned as an ISO 8601
            string.
          example: '2024-02-17T18:24:45.206Z'
        updatedAt:
          type: string
          description: >-
            Time at which the object was last updated. Returned as an ISO 8601
            string.
          example: '2024-02-17T18:24:45.206Z'
        liveMode:
          type: boolean
          description: >-
            `true` if the customer was created in live mode, `false` if created
            in sandbox.
          example: true
        defaultCurrencyId:
          type: string
          description: Unique identifier of the customer's default fiat currency.
          example: 71435a8d-211c-4664-a59e-2a5361a6c5a7
        defaultCurrencyCode:
          type: string
          description: >-
            Code of the customer's default fiat currency. May be omitted if no
            default currency is set.
          example: eur
        externalCustomerId:
          type: string
          nullable: true
          description: An identifier associated with the customer, provided by you.
        identityCheckStatus:
          type: string
          description: Status of the customer's identity verification.
          example: completed
          enum:
            - no_kyc
            - pending
            - completed
            - rejected
        identityCheckLevel:
          type: integer
          description: >-
            The customer's identity verification level. `0` if the customer has
            not completed an identity check.
          example: 1
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````